docReady(function() {
    var ticketListContent = document.getElementById("tklist").innerHTML;

    document.getElementById("submitter_filter").classList.remove('hidden');

    document.getElementById("submitter_filter").onsubmit = function(e) {
        e.preventDefault();
        var query = document.getElementById("searchterm").value;
        var submitters = document.querySelectorAll(".submitter_list");
        var ticketList = document.getElementById("tklist");
        var table_header = ticketList.querySelectorAll(".table_header")[0]
        ticketList.innerHTML = '';
        ticketList.appendChild(table_header);
        for (let i = 0; i < submitters.length; i++) {
            var submitter = submitters[i].querySelectorAll(".submitter")[0].innerText;
            if (submitter.includes(query)) {
                ticketList.appendChild(submitters[i]);
            }
        }
        document.getElementById("submit").classList.add('hidden');
        document.getElementById("reset").classList.remove('hidden');
    };

    document.getElementById("submitter_filter").onreset = function(e) {
        e.preventDefault();
        document.getElementById("tklist").innerHTML = ticketListContent;
        document.getElementById("searchterm").value = '';
        document.getElementById("submit").classList.remove('hidden');
        document.getElementById("reset").classList.add('hidden');
    };
});
