docReady(function() {
    var ticketListContent = document.getElementById("tklist").innerHTML;

    document.getElementById("ticket_filter").classList.remove('hidden');

    document.getElementById("ticket_filter").onsubmit = function(e) {
        e.preventDefault();
        var query = document.getElementById("searchterm").value;
        var tickets = document.querySelectorAll(".rowticket");
        var ticketList = document.getElementById("tklist");
        var table_header = ticketList.querySelectorAll(".table_header")[0]
        ticketList.innerHTML = '';
        ticketList.appendChild(table_header);
        for (let i = 0; i < tickets.length; i++) {
            var summary = tickets[i].querySelectorAll(".ticket_summary")[0].innerText;
            if (summary.includes(query)) {
                ticketList.appendChild(tickets[i]);
            }
        }
        document.getElementById("submit").classList.add('hidden');
        document.getElementById("reset").classList.remove('hidden');
    };

    document.getElementById("ticket_filter").onreset = function(e) {
        e.preventDefault();
        document.getElementById("tklist").innerHTML = ticketListContent;
        document.getElementById("searchterm").value = '';
        document.getElementById("submit").classList.remove('hidden');
        document.getElementById("reset").classList.add('hidden');
    };
});
